Skip to content

Update Character Draft Entry

PATCH
/api/creative/character-council/drafts/{draft_id}

Update a draft entry’s status (accept/reject/modify).

draft_id
required
Draft Id
string
UpdateDraftCharacterEntryRequest

Accept, reject, or modify a draft character entry.

object
status
required
DraftEntryStatus

Status of a draft lore entry proposed by the council.

string
Allowed values: pending accepted rejected modified
modifiedTitle
Any of:
string
modifiedContent
Any of:
string

Successful Response

DraftCharacterEntry

A character entry proposed by the council, awaiting user accept/reject.

object
id
required
Id

Unique draft ID

string
sessionId
required
Sessionid

Character council session ID

string
title
required
Title

Character or relationship name

string
content
required
Content

Proposed content (markdown)

string
entryType
required
Entrytype

Lore entry type (default: character)

string
tags
Tags
Array<string>
rationale
required
Rationale

Why the council proposed this

string
updateExisting
Updateexisting

True if this updates an existing character entry

boolean
existingEntryId
Any of:
string
status
DraftEntryStatus

Status of a draft lore entry proposed by the council.

string
default: pending
Allowed values: pending accepted rejected modified

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object